Package org.eclipse.mat.query

# Class ResultMetaData

java.lang.Object
org.eclipse.mat.query.ResultMetaData

public final class ResultMetaData extends Object
Holds meta-data of the query result needed to fine-tune the display of the result.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ResultMetaData.Builder`
`ResultMetaData` factory

## Method Summary

Modifier and Type
Method
Description
`List<ContextProvider>`
`getContextProviders()`
Returns the named context providers.
`Collection<ContextDerivedData.DerivedOperation>`
`getDerivedOperations()`
Get the operations.
`List<DetailResultProvider>`
`getDetailResultProviders()`
`int`
`getPreSortedColumnIndex()`
The index of the column by which the result is pre-sorted (if it is actually pre-sorted)
`Column.SortDirection`
`getPreSortedDirection()`
The direction by which the result is pre-sorted (if it is actually pre-sorted)
`boolean`
`isPreSorted()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getContextProviders

public List<ContextProvider> getContextProviders()
Returns the named context providers.

Returns:
  a list of the named context providers

### getDetailResultProviders

public List<DetailResultProvider> getDetailResultProviders()

### isPreSorted

public boolean isPreSorted()

Returns:
  true if the result is already sorted.

### getPreSortedColumnIndex

public int getPreSortedColumnIndex()
The index of the column by which the result is pre-sorted (if it is actually pre-sorted)

Returns:
  the column index which is pre-sorted

### getPreSortedDirection

public Column.SortDirection getPreSortedDirection()
The direction by which the result is pre-sorted (if it is actually pre-sorted)

Returns:
  the pre-sorted direction

### getDerivedOperations

public Collection<ContextDerivedData.DerivedOperation> getDerivedOperations()
Get the operations.

Returns:
  a set of all the possible operations